<?xml version="1.0" encoding="utf-8" ?>
<xsd:schema version="2.20.260.0" xml:lang="en" targetNamespace="uri:drivewindow-2" xmlns:dw="uri:drivewindow-2" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
    <xsd:annotation>
        <xsd:documentation xml:lang="en">
            Parameter Differences by DriveWindow 2.20.
        </xsd:documentation>
    </xsd:annotation>
    <xsd:include schemaLocation="DWTypes.xsd" />
    <xsd:element name="ParameterDifferences">
        <xsd:complexType>
            <xsd:sequence>
                <xsd:element name="comment" type="xsd:string" minOccurs="0" maxOccurs="1" />
                <xsd:element name="drive" minOccurs="2" maxOccurs="2">
                    <xsd:complexType>
                        <xsd:simpleContent>
                            <xsd:extension base="xsd:string">
                                <xsd:attribute name="type" use="required">
                                    <xsd:simpleType>
                                        <xsd:restriction base="xsd:token">
                                            <xsd:enumeration value="drive" />
                                            <xsd:enumeration value="file" />
                                        </xsd:restriction>
                                    </xsd:simpleType>
                                </xsd:attribute>
                            </xsd:extension>
                        </xsd:simpleContent>
                    </xsd:complexType>
                </xsd:element>
                <xsd:element name="differences">
                    <xsd:complexType>
                        <xsd:sequence>
                            <xsd:element name="differs" minOccurs="1" maxOccurs="unbounded">
                                <xsd:complexType>
                                    <xsd:sequence>
                                        <xsd:element name="name" type="xsd:string" />
                                        <xsd:element name="value" type="xsd:string"  minOccurs="2" maxOccurs="2"/>
                                        <xsd:element name="note" type="xsd:token" />
                                    </xsd:sequence>
                                </xsd:complexType>
                            </xsd:element>
                        </xsd:sequence>
                        <xsd:attribute name="equal" use="optional" type="xsd:token" fixed="yes" />
                    </xsd:complexType>
                </xsd:element>
            </xsd:sequence>
            <xsd:attributeGroup ref="dw:xmlAttributes" />
        </xsd:complexType>
    </xsd:element>
</xsd:schema>
